
Price Monitoring - Bug #1612

Search by section in Price Comparison screen is not functioning correctly 

08/15/2019 10:27 AM - Israa Naser

Status: Closed Start date: 08/15/2019

Priority: High Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result: it's not retrieved and the search result

shows No items 

Severity: Major Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Price Monitoring Screens (مراقبة

(الاسعار

Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: the item should be returned in the search

result with it's name as the defined item, 

  

Description

Search by section in Price monitoring screen is not functioning correctly

Steps to duplicate:

1- create new section called "test section"

2- create a new defined item and link it to the test section

3- link an item to the defined item

4- go to Price monitoring screen and search fro the linked item by the section name created

the item should be returned in the search result with it's name as the defined item,

meanwhile it's not retrieved and the search result shows No items

Related issues:

Related to Task #1419: Price Comparison Screens - شاشة المقارنة اليومية / مقا... Closed 07/09/2019

Copied to Bug #1613: Search by section in Item General details screen is not ... Closed 08/15/2019

History

#1 - 08/15/2019 10:27 AM - Israa Naser

- Related to Task #1591: Price Monitoring Screens (مراقبة الاسعار) added

#2 - 08/15/2019 10:33 AM - Israa Naser

- Copied to Bug #1613: Search by section in Item General details screen is not functioning correctly  added

#3 - 08/17/2019 03:36 PM - Abed Abuhalawa

- Status changed from Open to Feedback

- Assignee changed from Abed Abuhalawa to Israa Naser

Price monitoring get section from PMON_RAWDATA_ITEM filtered by coop id and date

#4 - 08/18/2019 06:02 PM - Israa Naser

- Related to deleted (Task #1591: Price Monitoring Screens (مراقبة الاسعار))

#5 - 08/18/2019 06:02 PM - Israa Naser
- Related to Task #1419: Price Comparison Screens - شاشة المقارنة اليومية / مقارنة الأسعار added

#6 - 08/19/2019 12:10 PM - Israa Naser

- Subject changed from Search by section in Price monitoring screen is not functioning correctly  to Search by section in Price Comparison screen is

not functioning correctly 

- Assignee changed from Israa Naser to Abed Abuhalawa

- Co-Workers Osama Zgool added

Osama would you please provide us with specific search details for item added in section by defined items. thanks

#7 - 08/19/2019 12:11 PM - Israa Naser

- Assignee changed from Abed Abuhalawa to Israa Naser

#8 - 08/31/2019 11:01 PM - Israa Naser

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

- Co-Workers Abed Abuhalawa added

- Co-Workers deleted (Osama Zgool)

- Browser Firefox added

Requirements for this in SRS under

2    Price Comparison Screens (مقارنة الاسعار)

---------------------------------------------------------------------

the following scenarios have been tested:

1- defined item with the same barcode as the COOP item

2- defined item with barcode different from COOP item

3- defined item with mix of barcodes linked to it from COOPS

4- search for the item linked in all COOPs ==> only the item linked should be displayed

5- check for the item linked in dates that has no data entered

all of the above combinations have been checked with searching by:

Barcode

Providers

sections
